Can't load Kernel binary: Invalid kernel binary format version.
webdev could not run for this project.
The `build_web_compilers` version – 2.1.0 – is not within the allowed constraint – >=0.3.6 <0.5.0.

Short answer: update webdev by running pub global activate webdev (doc).